# Class CodonChangeSnp

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeSnp

public class CodonChangeSnp extends CodonChange
Calculate codon changes produced by a SNP

Author:
  pcingola

## Field Summary

### Fields inherited from class CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeSnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`codonChange(Exon exon)`
Analyze SNPs in this transcript.
`protected String`
`codonsAlt()`
Get new (modified) codons
`protected String`
`codonsRef()`
Get original codons in CDS

### Methods inherited from class CodonChange

`additionalEffect, cdsBaseNumber, codonChange, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, netCdsChange, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodonChangeSnp

public CodonChangeSnp(Variant variant, Transcript transcript, VariantEffects variantEffects)

## Method Details

### codonChange

protected boolean codonChange(Exon exon)
Analyze SNPs in this transcript. Add changeEffect to 'changeEffect'

Overrides:
  `codonChange` in class `CodonChange`

### codonsAlt

protected String codonsAlt()
Get new (modified) codons

Overrides:
  `codonsAlt` in class `CodonChange`

### codonsRef

protected String codonsRef()
Get original codons in CDS

Overrides:
  `codonsRef` in class `CodonChange`